# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vlVolume::VolumeInfo Class Reference

Defines the volume parameters to be used with a MarchingCube and Volume object. More...

`#include <MarchingCubes.hpp>`

Inheritance diagram for vlVolume::VolumeInfo:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| VolumeInfo (Volume *vol, float threshold, const vl::fvec4 &color)
| VolumeInfo (Volume *vol, float threshold)
void | setColor (const vl::fvec4 &col)
const vl::fvec4 & | color () const
void | setThreshold (float t)
float | threshold () const
void | setVolume (Volume *vol)
Volume * | volume () const
void | setVert0 (int index)
int | vert0 () const
void | setVertC (int count)
int | vertC () const
## Protected Attributes
vl::fvec4 | mColor
float | mThreshold
vl::ref< Volume > | mVolume
int | mVert0
int | mVertC

## Detailed Description

Defines the volume parameters to be used with a MarchingCube and Volume object.

## Constructor & Destructor Documentation

vlVolume::VolumeInfo::VolumeInfo | ( | Volume * | vol,
|  | float | threshold,
|  | const vl::fvec4 & | color |
| ) |  |  | `[inline]`

vlVolume::VolumeInfo::VolumeInfo | ( | Volume * | vol,
|  | float | threshold |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vlVolume::VolumeInfo::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

void vlVolume::VolumeInfo::setColor | ( | const vl::fvec4 & | col | ) | `[inline]`

const vl::fvec4& vlVolume::VolumeInfo::color | ( |  | ) | const`[inline]`

void vlVolume::VolumeInfo::setThreshold | ( | float | t | ) | `[inline]`

float vlVolume::VolumeInfo::threshold | ( |  | ) | const`[inline]`

void vlVolume::VolumeInfo::setVolume | ( | Volume * | vol | ) | `[inline]`

Volume* vlVolume::VolumeInfo::volume | ( |  | ) | const`[inline]`

void vlVolume::VolumeInfo::setVert0 | ( | int | index | ) | `[inline]`

int vlVolume::VolumeInfo::vert0 | ( |  | ) | const`[inline]`

void vlVolume::VolumeInfo::setVertC | ( | int | count | ) | `[inline]`

int vlVolume::VolumeInfo::vertC | ( |  | ) | const`[inline]`

## Member Data Documentation

vl::fvec4 vlVolume::VolumeInfo::mColor`[protected]`

float vlVolume::VolumeInfo::mThreshold`[protected]`

vl::ref<Volume> vlVolume::VolumeInfo::mVolume`[protected]`

int vlVolume::VolumeInfo::mVert0`[protected]`

int vlVolume::VolumeInfo::mVertC`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlVolume/MarchingCubes.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:12:01 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.